View Issue Details

IDProjectCategoryPrivateLast Update
0004678Battlefield 1UI/HUDNo2018-08-12 22:40
ReporterTrackerBugger 
SeverityMajorReproducibilityAlways 
Status QA InvestigatingResolutionOpen 
PlatformPCOSWindows 
Product VersionUpdate 12102017 - October Update 
Fixed in Version 
Summary0004678: Server Browser shows 64/64[1] even if there are only 20 players
Description

There seems to be a new problem, my server always shows that there are 64 Players but if you join there are only 40 or fewer players, the result is that the server doesn't receive any more quickmatch players

Actual Result
Expected Result

Relationships

has duplicate 0004750 Closed RSP - Server queue becomes incorrect and then no longer seeds 

Activities

TrackerBugger

2017-10-26 20:45

Registered User
  ~0005553

Last edited: 2017-10-26 20:47

View 3 revisions

https://streamable.com/jdbgg
Fix this please its a server killer!!!!!!!!!!And its not only my server which has this problem

karnak07

2017-11-01 12:15

Registered User
  ~0005579

2 days ago i have the same issue

Jaskaman

2017-11-03 08:11

Registered User
  ~0005590

We have the same issue

TrackerBugger

2017-11-04 23:31

Registered User
  ~0005596

Problem still present. Server gives out wrong information about how much players are connected and freezes at some point on a day @ 64/64[1] result is that the server dies out.

OddJob001

2017-11-10 23:30

Registered User
  ~0005630

Happened again last night on AOD East ~ 10pm

OddJob001

2017-11-15 21:08

Registered User
  ~0005657

Last edited: 2017-11-15 21:09

View 2 revisions

Let me know if it helps adding timestamps of occurrences, we are tracking it on our servers:

AOD East, 7:55pm(EST)
Queue showing: 64/64(1)
Actual Server Count: SideA(20) - SideB(21)

AOD All Maps, 10:18 pm(EST)
Queue showing: 64/64(1)
Actual Server Count: SideA(19) - SideB(20)

TrackerBugger

2017-11-19 18:00

Registered User
  ~0005670

The new restart map function doesn't fix the problem if it happens to the server.

TrackerBugger

2017-11-28 16:38

Registered User
  ~0005696

Last edited: 2017-11-28 16:39

View 2 revisions

All these servers in the pic have the bug today at the same time, i checked them all and most of them had only 10-20 Players on and were dying.



Battlefield 1 Screenshot 2017.11.28 - 17.35.18.98.png (527,161 bytes)

karnak07

2017-11-28 20:08

Registered User
  ~0005698

on my server same problem today

TrackerBugger

2017-12-17 21:36

Registered User
  ~0005790

Nothing changed after the newest patch.

schietdammer

2017-12-22 01:39

Registered User
  ~0005804

Last edited: 2017-12-22 01:48

View 3 revisions

videoproof of the issue I recoreded and put onto my microsoft onedrive https://1drv.ms/u/s!Anbs4-O7K_T8gft-Pe-qe4X-pn0aAw

also have a topic on this issue https://forums.battlefield.com/en-us/discussion/128154/new-bug-last-4days-server-browser-lies-sometimes-hours-long-64-64-1-and-reality-inside-1to40#latest that I have been replying on for 2 months now but absolutely no recognition/acknowledgement by dice that they know of the bug let alone have a fix for it.

karnak07

2017-12-24 17:48

Registered User
  ~0005806

on my server same problem today.....again

schietdammer

2017-12-27 20:15

Registered User
  ~0005809

26th December this : my 2nd server just 15.00 CET caught the bug , 24 7 amiens https://battlefieldtracker.com/bf1/servers/pc/2787404580618

I found it in the really early stage there where 60 inside , I quickly started up my 6 accounts from sleepmode so i was ready quickly I quickly put them all in in the hope that a real queue would solve the problem , 1 of my 6 accounts when it tried to go in got the message you are number 2 in queue so I was happy and hoped that server browser now also would show 2in queue instead of 1 in queue but no it stays at 64 64 1

and now 20minuets later I am so far away from 64 that my 6 would not bring it above 64 anyways anymore

p.s. yesterday evening I helped a guy with his server it was the first day for that server and on day1 it also got the bug : 24 7 Tsaritsyn https://battlefieldtracker.com/bf1/servers/pc/2788084640334

edit : 20.45 CET and semperfi 4 caught the bug 15+15 and with the time passing less and less players while server browsers says 64 64 1 https://battlefieldtracker.com/bf1/servers/pc/2760637710619

p.s. my server who caught the bug around 15pm cet survived the bug and recovered - this rarely happens normaly the bug goes away when the last player leaves the server


and now the 27th : 20.50 CET and 1 of my 2 servers has the bug again - 28 players inside my quentin server - https://battlefieldtracker.com/bf1/servers/pc/2739801290315

and the guy I helped in last posting also has it - 10 players inside - Tsaritsyn https://battlefieldtracker.com/bf1/servers/pc/2788084640334

so that owner of the tsaritsyn server is going to be really happy about his purchase of renting a server , 3 days in a row I helped him fill his server and 2 out of the 3 days the server gets the bug

karnak07

2017-12-29 19:00

Registered User
  ~0005819

same problem today. on 1 of my 2 server. server browser show 64/64(1) but if you join it's 4/64

we pay for this. I have 2 server since a year and it's not right for me to pay for an empty server

TrackerBugger

2017-12-29 22:57

Registered User
  ~0005820

I hope they can reproduce it and fix it, it sure happens on the dice official servers too.

karnak07

2018-01-08 18:32

Registered User
  ~0005955

it has become unbearable. the problem is still present. The server browser shows the full server, but it is not.
The only way to fix the problem is to empty it completely and restart.

The problem has been since November. Hi have 2 server and the issue occur on both.

Honestly, I'm thinking of asking a refund

karnak07

2018-01-19 23:22

Registered User
  ~0006096

Last edited: 2018-01-19 23:23

View 2 revisions

I thought the problem was solved after the last intervention on the browser server, We have no problem for 4 days. but today it happened again.

Now it's even harder to fill the servers and our efforts are thwarted by this bug

https://battlefieldtracker.com/bf1/servers/pc/2739801150308 64/64(1) but only 33 players inside

TrackerBugger

2018-01-21 19:52

Registered User
  ~0006102

Tried to change gamemode and map, restarting the map, kicking almost all players before the round ended but nothing worked.
The only way to get rid of this bug is to empty the server and even then, it takes 5min till the bug is gone.

TrackerBugger

2018-01-29 16:00

Registered User
  ~0006119

Tried to empty the vip list but it didn't help.I think the queue system is broken.

TrackerBugger

2018-01-30 13:45

Registered User
  ~0006135

Last edited: 2018-01-30 13:51

View 2 revisions

I have set up a new fresh Tuti server with the new maps and guess what.It took only 2 hours and the server is bugged showing 64/64(1).No more quickmatch traffic coming in.
Either the spectator mode is bugging the server or it stucks because someone cancels the queue and it creates a hang.



bug1.png (44,286 bytes)
bug1.png (44,286 bytes)
bug2.jpg (200,641 bytes)
bug2.jpg (200,641 bytes)

schietdammer

2018-01-30 21:49

Registered User
  ~0006139

1 of my favorited servers had it today AFTER the 30ja18 patch. I am talking pc here it was Europe 247 amiens server from semperfi. When I spectated it had only 5+5 players inside while server browser said 1 in queue and 64 inside. I fill and followe 4 5 servers everyday , even with Christmas new year EVERY DAY. I keep saying this started on 23oc17 , this bug was never before it.

karnak07

2018-02-01 23:13

Registered User
  ~0006155

unbelievable. today still one of my servers blocked to 64/64(1). After months, I would have the decency to say: "we do not know how to solve the problem"

TrackerBugger

2018-02-02 13:19

Registered User
  ~0006156

Won't extend my server, since oct and this critical bug still not fixed and you still need 20 players to start an official game.
@karnak07 don't rent anymore until they fix this.

karnak07

2018-02-12 11:55

Registered User
  ~0006222

4 months and still there is no solution

schietdammer

2018-02-12 12:11

Registered User
  ~0006224

Last edited: 2018-02-12 12:13

View 2 revisions

"we do not know how to solve the problem" I don't believe that is the case , the huge problem is getting bugs in their attention, it sometimes takes months before they even notice what is a big issue. But this needs to be sorted out so badly, I have 6 full servers in my favorityes everyday and on average 1 of them gets the bug. And that since 23october2017 is around 100 !!!!!!!!!!! times I have seen the bug , including many times on my 2 servers https://battlefieldtracker.com/bf1/servers?platform=pc&name=bevdg , they now have fixed this bug where servers disappear from server browser because they go to deep sleep https://www.bftracker.com/view.php?id=5020 and I hoped at the same time they would have fixed this issue but yesterday 11fe18 I still saw the bug on my amiens server

karnak07

2018-02-16 23:11

Registered User
  ~0006248

if it could be useful. in the last 2 days the bug has always appeared at the same time. between 17 and 18 Central European Time

karnak07

2018-02-18 00:12

Registered User
  ~0006249

I do not like to insist, but today the server was bugged 3 times. and not having answers makes it difficult to continue to be patient.

can anyone give us news? some temporary procedure to prevent it from happening? or that can avoid the complete emptying of the server?

schietdammer

2018-02-20 21:36

Registered User
  ~0006256

20feb18 patch , I had hopes but right now my 24/7 amiens servers says 64 64 1 in server browser and I started spectataing and it is 5 vs 1. It is 22.30 CET last few days the server was full till 2.00am so it dies because of this bug 3,5 hours to earlie.

schietdammer

2018-02-23 18:32

Registered User
  ~0006265

Last edited: 2018-02-24 16:46

View 11 revisions

so after the patch came out 20fe18 already the bug = 1

the day after nothing , yesterday the 22nd 2 got hit woth the bug - of my 6 servers in my favorites - 1 of the 2 infected was 1 of my 2 servers which ofcourse are both in my 6 favorites (quentin scar 24/7) = 2 3

and today 23feb I was away 6 hours and at 18pm found an empty server of mine, and regular players said itw as the bug again it was my quentin scar = 4 times in 4 days

so 20feb 21 22 23 is 4 days and I have 2 servers and I have had the bug 3 times now on my 2 servers , and 1 of the other favoites had it yesterday that makes on average (with 6 fuill servers) that everyday at least 1 gets (and dies of) the bug

edit 24feb : yesterday I said my quentin got it .. well later that day - so still 23feb18 - also my amiens got it again , so I have 2 servers and yesterday the 23rd of feb both got it, on oaverage with my 2 servers that makes 50% chance the server gets it that day. And now on too today (24fe) , Saturday more servers full ... 8 - normally 6 - and 1 has has the bug > semperfi server 3 24/7 sinai

why the hell wasn't this fixed on the 20th feb (at least they are now done with dlc and maybe find the time to fix bugs or are they immediately relocated and working on bf2018) , so yet another motnh of waiting , the bug started on 23oc17 and maybe will get a patch 23march18 = 5 months that is so bad , I have a top 10 list of wishes but definuitely this is number 1 by far even willing to throw away all other 9 which are nothing compared to this 1


p.s. is my next calculation right? and if so shoudlnt EA then be ashamed of themselfes , why give so much money to shareholders give more budget to bug fixers (without clients the shareholders would be very unhappy, we are even more important then shareholders without clients you have nothing) > the big boss of dice says (last month) that 25million copies of bf1 have been sold https://twitter.com/Alekssg/status/958634015241760769 , if that sells on average for only 25€ that would be 625million euros , is ea only alloweing a budget of 150 million as expenses or something.

Put some extra guys on bugs and put effort to find a good patchnotes writer (mine nerf, slide nerf was not mentioned in latest patch and that we can rankup now to max 140 from 130 wasnt mentioned either), it all looks so sloppy and I look at www.bf1stats.com often to see the playerbase and was thinking I can't complain there are not many many players so they won't spend too much on the after sales development I mean not dedicate to much manpower on it - I was even wurried for the franchise that I love if it doesn't make money (still whurry because bf1stats.com says all 3 systems player peak combined is 92.000 compare that to something like PUBG which has sold 30million copys but has a peak of not 92.000 but 2,3million player peak this day and that is even only the pc version, stats from steam). So I was used to see the relatively low playerbase but then I saw that tweet about the 25million and then was thinking : you guys made enough - no even a ton - money of bf1 now give something back, like way way wayyyy more bug fixers and proper patch notes.

karnak07

2018-03-01 22:05

Registered User
  ~0006361

the problem is still present. even today at about 22.00 (central europe time) server browser blocked to 64/64 (1) and the server has emptied after 30-40 min



bf1 2018-03-01 23-03-26-451.jpg (331,966 bytes)
bf1 2018-03-01 23-03-45-598.jpg (215,424 bytes)

schietdammer

2018-03-06 19:10

Registered User
  ~0006374

I THINK I HAVE FOUND SOEMTHING NEW TO SAY
today I saw my fort de Vaux server having the issue but it was 19.00 so many players online and many regulars so it was still 59 players - yeah I know people can be loading in and in reality be 64 but that is not the case in the 16th minute into a round and both teams are not full , when there are ragequits it can happen that 1 team isn't full but not 2 plus last hour I saw constantly 64 64 1 , but I have 6 pcs so I woke them all up and did 59+6 is 65 and some others also joined and then there was a queue of 4 all of sudden visually in server browser it was sort of fixed ben then it comes , as soon as the queue went lower it went from queue 4 3 2 to 1 but then it was stuck at 1 again , even next round when it went from 64 to 44 , so you can get the 64 64 1 to a higher real queue but that does not remove the bug. Ofcourse it can be so that by conincendence the bug is triggered twice in a row. But it seems even when I would have 50 pcs and there are 20 players isndie and the server browser would say 64 64 1 then witjh my 50 going inside making it 70 is 6 inquueu then even it wouldnit be fixed.

and now something on how many times this bug occurs
https://battlefieldtracker.com/bf1/servers?platform=pc&name=bevdg are my 3 pc servers , and today 2 of them had the bug and since the 20feb18 patch everyday - except 1 day - 1 (random 1 of the 3) gets the bug and that 1 day was compensated the day after or before - cant remember - when also 2 of the 3 got the bug. So till tioday on average everyday axactly 1,0 servers gets the bug , but today 2 so on average it is now 1,xx=1+. I know this bug is there sicne around 23oc17 but was so dumb to jhope that 20feb18 would solve the issue so from there I started to count again the number of days the bug occurs.

schietdammer

2018-03-06 19:15

Registered User
  ~0006375

Last edited: 2018-03-07 01:57

View 5 revisions

cant you guys make a temporary solution for RSP. Make the "server admin" "actions" tab where you can restart round more stronge - because now it does not help solve the issue - I mean not remove all players like a restart of a pc where everybody gets lost, but what I do mean is that it actively interacts with the server browser or is the server itself the problem is that 1 realy saying constantly it has 1 in queue (no clue iof this bug comes from my servers or from the master server where the server browser is on).

stroinger restart option would still be a crap solution because many tiems I am way for hours and then the server dies during that period when it gets the bug.

I am an options trader - that is my profession - so I watch stocks daily and indexes, but omg what do I hate companys, this game is sold 25million times (there was a tweet 31ja18 of some big hotshot from dice) lets say not all at full price but for 25€ is 625million euros why is the majority of that money going to rich Aholes who own some stock and not towards a bigger dev team that fixes bugs aka to us players, you devs should go on a strike demand more manpower and resources for making a game without major bugs staying in the game for 4 months and counting.

docholiday332

2018-03-09 01:11

Registered User
  ~0006384

Absolutely unbelievable that this is STILL NOT FIXED! The amount of bug reports and responses and still no temporary or permanent fix.

But hey, I guess that's what we can expect from DICE.

karnak07

2018-03-10 21:59

Registered User
  ~0006386

Since november 2017 we are ever same problem.

Anyone can explain what is the problem? It's possibile no one respond? We have paid it

beckham

2018-03-18 22:35

Registered User
  ~0006410

Last edited: 2018-03-18 22:37

View 2 revisions

I dont think this will ever be fixed.Happens everyday on my favorite servers.

schietdammer

2018-03-24 00:42

Registered User
  ~0006425

Last edited: 2018-03-24 00:43

View 2 revisions

2 things :

  • my amiens had it today again - have 3 servers and on average veryday a random 1 of the 3 gets the bug - and I was spectating with my 2nd pc, all players where gone and the bug still stayed there - I saw that on my main pc where I kept refreshing server browser, the spectator even keeps the bug alive.

  • that amiens got the 1 in queue bug primetime, 17.00 when it is the busiest so many regular players join, often 10 in queue around that time. What happens is the queue went above 1 to even 6 BUT every time a new round started, and 20 players left the queue went from 6 to ..... 1 in queue it never went below it and when the server finally died at 1am and the last player left it still was at 64 64 1 in queue visually in server browser. So when the bug is there the server calculates normally when it is really above queue 1 , but when it goes below it it does not go below 64 64 1 visually.

TrackerBugger

2018-03-27 20:38

Registered User
  ~0006433

Easter Update still the same bug.

schietdammer

2018-03-28 22:07

Registered User
  ~0006442

Last edited: 2018-03-28 22:19

View 2 revisions

mmm sometimes I saw 64 / 64 [2] instead of 64/64 [1], but that 2 in queu bug was 1 out of 30 times the queue bug occurs.

And i have seen the bug now around 150 times and today I see it for the first time on my amiens server > 64/64 [3]. 100% sure.

OddJob001

2018-03-31 14:44

Registered User
  ~0006449

same issue on all AOD servers - only way to fix it is to ban all players in the server, then unban them. Once you get the server to 0 people, it will "restart" and the issue goes away.
If you can't fix this issue you could at least give us the ability to restart a server to fix it ourselves.

schietdammer

2018-03-31 14:51

Registered User
  ~0006450

mmm related or unrelated .. I think actually unrelated and so another bug , my amiens now has the maximum of 10 in queue. Then as number 11 you get the normal error message : failed to join server - an unknown error occurred , but at the same time on another pc as a spectator on that same server I see 32 vs 26 for the last 10 minutes.

So why aren't those 10 getting in ... or at least 6 of them. This isn't the 1 in queue bug where it is visually stuck on 10 this time. Because with the 1 2 or 3 in queue bug in reality there are less players inside and when you press join you ALWAYS get in immediately, but this 10 in queue is REAL because I really can't get in. So why are the players blocked on a server that ain't full.

And when the round was over finally those 10 could get in, and server browser finally is normal again.

schietdammer

2018-04-07 16:57

Registered User
  ~0006472

Last edited: 2018-04-13 23:31

View 4 revisions

ok there was server maintenance - I hope that meant server patch - on 3ap18 https://forums.battlefield.com/en-us/discussion/139676/battlefield-1-pc-server-maintenance-04032018#latest , maybe ot did something but definitely did not solve the 1 in queue issue. I have 10 full servers in my favorites on pc, and 2 have the bug right now. Including my quentin scar server https://battlefieldtracker.com/bf1/servers?platform=pc&name=bevdg


Pff so I put a password on my quentin and kicked all players, then removed password , started up my 5pcs and had to wait 40minutes before it ereahced 20 players and the round started. And now hours later the same server has the bug again. Plus my amiens ervers has it now also, so 2 of my 3 servers. And also another server in my 10 servers with players in my favorites has it now, not the 1 from earlier - that 1 died from the bug - but a new one. So 10 servers and 5 times the bug occurred on 4 of them.


https://www.reddit.com/r/battlefield_live/comments/8b7ett/screenshot_totally_empty_server_probably_still_1/ 1 afk spectator keeps my server bugged

edit : Friday the 13th , all 3 of my servers have had the 1 in queu bug today.
server 1 > Quentin got it early enough for me to put a password on it and kick everyone and refill. After that my server 3 got it it runs 24/7 fort de vaux it got the bug and died of it and now at this moment my server 2 = 24/7 amiens has the rarer version 64/64[2] instead of [1] in that server right now it is 5 vs 6.

schietdammer

2018-04-17 21:56

Registered User
  ~0006502

Last edited: 2018-04-19 20:48

View 6 revisions

I FOUND SOMETHING > Mmmm I am almost certain I can say this. When a server has the "1 in queue bug" it can go above 1 in queue visually - ofcourse in reality it then also has really that queue you see - but not below it anymore.
I just saw my amiens server 25minutes into the round 27 vs 24 that is the 1 in queue bug, and I gave up on the server for the day. 30minutes later I look at a refreshed server browser and I see 64/64 [8] , so I go in as spectator and indeed totally full. Then the round ended and the number of palyers fell to 44, but on my other pc next to it with its own bf1 account I kept refreshing the server browser and the queue went from 8 to 1 it did not go to 44/64 or anything between 44 and 64.


I have no clue why all of a sudden - when there is really a queue of 8 - that the server browser gets to see that reality but as soon as a round is over and player count falls to around 45 - and that 5 6 minutes long - then all of a sudden the server cant tell that reality but then shows again 64/64[1].

And again the same test > Fast forward to thuersday 19ap18 19.30 CET > my fort has the 1 in queu bug, there where 29+28 inside I woke up my 6 pcs and accounts and went in, then the queu becoame 5 , but now the next round 20 left and it didn't go from 64/64[5] to 49/64 it felel back from 64/64[5] to 6/64[1] although there are in reality 49 inside. EDIT : 2hours later and the bug is gone, this rarely happens that the bug goes away.

schietdammer

2018-04-24 13:09

Registered User
  ~0006562

Last edited: 2018-04-26 14:58

View 2 revisions

AND 4 hours after the 24ap18 patch my server already has the bug again. WHY the refusal to fix this bug. https://battlefieldtracker.com/bf1/servers?platform=pc&name=bevdg

the day after - 25ap18 - my 2nd server running amiens died of it

and now today 26ap18 my 3rd - running fort - has it , but that 1 is the only 1 of 3 rugalr fort servers that is full so many many players join it has the bug now for 4 hours and every round it goies from 64 64 1 to 2 3 4 evens aw 10 BUT like I mentioned above also : when the round ends and a new one starts and then it is 5minuets between 45 and 52 the server browser goes back from 64/64(2 or higher) to 64 64/1 so it is still stuck in the 1 in queue bug.

Jaskaman

2018-04-26 20:30

Registered User
  ~0006587

Still happening... 26th of April, 21:45 server showed 64(1)- has been going on like this now 4 rounds.
Also midround balancer is not working

OddJob001

2018-05-18 17:21

Registered User
  ~0006675

Last edited: 2018-05-18 17:27

View 2 revisions

Still happening on all AOD servers. Trying to get graphs with instance id's for this, as well as the dumping of player after rounds.

fyi for other server owners, the work around to fix it is to empty the server. usually we end up kicking/banning people then unkicking/unbanning them immediately. luckily we have enough admins to be able to do it faster than people join.

Moloch

2018-05-19 19:01

Registered User
  ~0006681

Why does this take so long to fix? 2 days in a row the server is dead because of this bug, if it isnt fixed when the rental period ends im not extending it.

TrackerBugger

2018-05-26 21:31

Registered User
  ~0006692

Still not fixed. Ruins the game every time!!!!!!!!

schietdammer

2018-06-21 11:00

Registered User
  ~0006776

yeah but on reddit a dev said the june 18 patch fixes this bug https://old.reddit.com/r/battlefield_live/comments/8qxh3u/end_of_round_server_crashes_pcus/ - took them fuicking 8 months , the solution for now is putting a password on the server which immediately takes effect in the middle of the round and then empty the server and then remove password and refill. Because even specattors and people who laod in keep the bug alive.

TrackerBugger

2018-07-02 22:37

Registered User
  ~0006781

Last edited: 2018-07-02 22:37

View 2 revisions

It seems like its finally fixed after the june patch thank god!!!

schietdammer

2018-08-02 20:39

Registered User
  ~0006824

Yeah it is fixed since then , this ones status can be changed from "QA investigating" - which it still is on now 2aug18 - to "SOLVED".

HonorguyXNL

2018-08-12 22:40

Registered User
  ~0006830

Issue in a way still exists. Favourites tab does not get refreshed at all. Only when booting BF1 you can see the current stats of your favourite servers. But everywhere after this it simply won't update the standings.